//go:build linux
// +build linux

package machineid

func getMachineID() (s string, err error) {
	paths := []string{
		"/var/lib/dbus/machine-id",
		"/etc/machine-id",
		"/sys/class/dmi/id/product_uuid",
	}
	var (
		buf []byte
	)
	for _, p := range paths {
		if buf, err = ioutil.ReadFile(p); err == nil {
			s = string(buf)
			return
		}
	}
	return
}
